// 08MDIScribbleDoc.h : CMy08MDIScribbleDoc 類別的介面
//


#pragma once
#include "Stroke.h"

class CMy08MDIScribbleDoc : public CDocument
{
protected: // 僅從序列化建立
	CMy08MDIScribbleDoc();
	DECLARE_DYNCREATE(CMy08MDIScribbleDoc)

// 屬性
public:
private:
    CArray<CStroke*, CStroke*> m_strokes;

// 作業
public:

// 覆寫
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// 程式碼實作
public:
	virtual ~CMy08MDIScribbleDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 產生的訊息對應函式
protected:
	DECLARE_MESSAGE_MAP()
public:
    void addStroke(CStroke * stroke);
    void draw(CDC* pDC);
    virtual void DeleteContents();
};


